Page MenuHomePhabricator

Reconfigure English Wikibooks
Closed, ResolvedPublic

Description

Author: aaron.adrignola

Description:
There are several configuration changes the community has decided on for English Wikibooks. I'm going to break this up into parts to match up with the changes requested. I've provided the code needed to effect these changes for the convenience of the developers, though some may have to be tweaked for the arrays being used in Flaggedrevs.php and InitialiseSettings.php.

For flagged revisions, anonymous users should now see the current revision instead of the latest reviewed revision. Please *add*:

$wgFlaggedRevsOverride = false;

New pages created by reviewers should be reviewed by default. Please *remove*:

$wgFlaggedRevsAutoReviewNew = false;

Use three levels other than unreviewed, rather than the current four. Please *remove*:

$wgFlaggedRevValues = 4;

Please *change* $wgFlaggedRevTags to:

$wgFlaggedRevTags = array(

'quality' => array('levels' => 3, 'quality' => 2, 'pristine' => 3) );

Please run an SQL query to replace all ratings on "composition" with ones on "quality" so that current work done to review pages is not lost. Current entries for "accuracy" or "coverage" are no longer needed, but they probably will do no harm remaining in the database.

There should no longer be any restriction on what review levels can be reviewed, by those who can review. Please *remove*:

$wgFlagRestrictions = array(

'composition' => array( 'review' => 3, 'autoreview' => 3 ),
'accuracy'    => array( 'review' => 3, 'autoreview' => 3 ),
'coverage'    => array( 'review' => 3, 'autoreview' => 3 ),

);

Because the most recent version will be shown by default, it will be necessary to switch between latest and stable with tabs. Please *remove*:

$wgFlaggedRevTabs = false;

The comment box for providing reviews should be removed. Please *change* $wgFlaggedRevComments to:

$wgFlaggedRevComments = false;

Autopromotion criteria are being changed. Please reduce the edit intervals from 10 to 8, reduce recent changes edits from 10 to 5, and remove the requirement for a unique IP address. $wgFlaggedRevsAutopromote should look like the following:

$wgFlaggedRevsAutopromote = array(

'days' => 30,
'edits' => 100,
'excludeDeleted' => true,
'spacing' => 2,
'benchmarks' => 8,
'recentContentEdits' => 5,
'totalContentEdits' => 50,
'uniqueContentPages' => 10,
'editComments' => 50,
'email' => true,
'userpage' => false,
'uniqueIPAddress' => false,
'neverBlocked' => true,

) + $wgFlaggedRevsAutopromote;

The editor group will be getting rollback. Please *add*:

$wgGroupPermissions['editor']['rollback'] = true;

Page patrol is not used in any namespace with flagged revisions enabled. Please *change* $wgGroupPermissions for sysops to the following three lines in flaggedrevs.php:

$wgGroupPermissions['sysop']['review'] = true;
$wgGroupPermissions['sysop']['stablesettings'] = true;
$wgGroupPermissions['sysop']['validate'] = true;

With restrictions on who can rate to what level removed, we have no need for the separate reviewer and editor groups any longer and would like the reviewer group removed. If we need to remove people from it first, please let us know. Please *add*:

unset($wgGroupPermissions['reviewer']);

We do not use the importer group and we plan to enable the transwiki importer group (see below). To remove the distinction and make the importer group disappear from Special:ListGroupRights, please *add*:

unset($wgGroupPermissions['importupload']);

We would like to enable the AbuseFilter extension (see below) with custom permissions. Please *add*:

$wgGroupPermissions['*']['abusefilter-view'] = false;
$wgGroupPermissions['*']['abusefilter-log'] = false;
$wgGroupPermissions['autoconfirmed']['abusefilter-view'] = true;
$wgGroupPermissions['autoconfirmed']['abusefilter-log'] = true;

We would like to enable the Reader Feedback extension (see below) for the main, Wikijunior, and Cookbook namespaces. Please *add*:

$wgFeedbackNamespaces = array(NS_MAIN, 102, 110);

Feedback should be retained for 180 days. Please *add*:

$wgFeedbackAge = 180 * 24 * 3600;

Feedback should not be meaningful until five readers have submitted responses. Please *add*:

$wgFeedbackSizeThreshhold = 5;

The Reader Feedback extension should be enabled. Please *add*:

'enwikibooks' => true

to the 'wmgUseReaderFeedback' array.

The Abuse Filter extension should be enabled. Please *add*:

'enwikibooks' => true

to the 'wmgUseAbuseFilter' array.

The available actions for the Abuse Filter should not include the ability to block or degroup. Please *add*:

$wgAbuseFilterAvailableActions = array(

'flag', 'throttle', 'warn', 'disallow', 'blockautopromote', 'tag');

For proper flagged revisions autopromotion and statistics, please add the Wikijunior and Cookbook namespaces to the content namespaces:

$wgContentNamespaces = array(NS_MAIN, 102, 110);

With rollback being provided to the editor group, please remove the rollback group since it is no longer desired as a separate group. If we need to remove people from the group first, please let us know.

We have no need for the patroller group either, since flagged revisions in all of our content namespaces overrides it. If we need to remove people from the group first, please let us know.

Additionally, we would like to enable the addition of people to the transwiki importer group. We would also like bureaucrats to be able to add people to the flood group; they can currently only remove.

For the above, in the 'enwikibooks' array in the 'groupOverrides' array, please *remove*:

'rollbacker' => array( 'rollback' => true ),
'patroller' => array( 'patrol' => true, 'autopatrol' => true),

For the above, in the 'enwikibooks' array in the 'wgAddGroups' array, please *change* the content to:

'sysop' => array('transwiki', 'uploader'),
'bureaucrat' => array('flood'),

For the above, in the 'enwikibooks' array in the 'wgRemoveGroups' array, please *change* the content to:

'sysop' => array('ipblock-exempt', 'transwiki', 'uploader'),

Thank you for your time.


Version: unspecified
Severity: enhancement
URL: http://en.wikibooks.org/w/index.php?title=Wikibooks:Reading_room/General&oldid=1875708#Reconfigure_Wikibooks

Details

Reference
bz24304

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 21 2014, 11:03 PM
bzimport set Reference to bz24304.
bzimport created this task.Jul 7 2010, 3:44 PM
RobH added a comment.Jul 22 2010, 9:11 PM

Please note that the link doesn't show consensus, but more questions about the proposed changes.

Please at least have some kind of vote at the end to tally if there is strong opposition. (Then feel free to reply and re-open this bug.)

aaron.adrignola wrote:

http://en.wikibooks.org/w/index.php?title=Wikibooks:Reading_room/General&oldid=1875708#Support <-- this section for the voting clearly shows that we have 8 supports to 1 opposition. I followed the discussion from start to finish and believe there is consensus. Please clarify where you do not see support for this.

nmichalo wrote:

As the one opposing vote I fully concede there was a consensus, we have a small community, and it was a long debate with participation of many members. But I think these changes should be put through, despite my objections. Adrignola gives the link the the final support/opposing statements and they are a fair reflection of the community point of view.

arlenbee wrote:

Is it possible to get this done ASAP? There are several significant changes that it includes. One of them is that it gives Admins the ability to set importer flags, currently only admins can import.

aaron.adrignola wrote:

(In reply to comment #4)

It hasn't even been a full month. Good things come to those who wait patiently. Indeed there are several significant changes, so that then requires more time that has to be blocked out to get them implemented. We've no idea what Mr. Halsell's workload is. As a side note, there have been two additional support positions recorded since my last reply, seen at http://en.wikibooks.org/w/index.php?title=Wikibooks:Reading_room/Proposals&oldid=1904607#Support which brings the total to ten to one.

In future please submit separate things as different bugs for example the flagged revs as separate compared to the abuse filter change)

nmichalo wrote:

Will do we thought we were saving people work by doing it all in one fell swoop.

(In reply to comment #7)

Will do we thought we were saving people work by doing it all in one fell
swoop.

This is probably fine, as long as Rob doesn't mind.

aaron.adrignola wrote:

(In reply to comment #8)

This is probably fine, as long as Rob doesn't mind.

If he does mind, please let me know and I'll file the individual parts as bugs blocking this one (so people continue to get notifications).

jeluf wrote:

Done.

Index: InitialiseSettings.php

  • InitialiseSettings.php (revision 1020)

+++ InitialiseSettings.php (working copy)
@@ -5272,11 +5272,11 @@

	'reviewer' => array( 'patrol' => true ),
    ),
    'enwikibooks' => array(
  • 'rollbacker' => array( 'rollback' => true ),
  • 'patroller' => array( 'patrol' => true, 'autopatrol' => true ),
  • 'flood' => array( 'bot' => true ),
  • 'uploader' => array( 'upload' => true, 'reupload' => true ),
  • 'autoconfirmed' => array( 'upload' => false, 'reupload' => false ),

+ 'rollbacker' => array( 'rollback' => true ),
+
'patroller' => array( 'patrol' => true, 'autopatrol' => true ),
+ 'flood' => array( 'bot' => true ),
+ 'uploader' => array( 'upload' => true, 'reupload' => true ),
+ 'autoconfirmed' => array( 'upload' => false, 'reupload' => false ),

),
'enwikinews' => array(
    'flood' => array( 'bot' => true ),

@@ -5794,8 +5794,8 @@

		'sysop' => array( 'rollbacker', 'accountcreator', 'abusefilter', 'autoreviewer', 'confirmed', 'reviewer' ),
    ),
    '+enwikibooks' => array(
  • 'bureaucrat' => array( 'sysop', 'bureaucrat', 'bot' ),
  • 'sysop' => array( 'rollbacker', 'patroller', 'uploader' ),

+ 'sysop' => array('transwiki', 'uploader'),
+ 'bureaucrat' => array('flood'),

),
'+enwikinews' => array(
    'bureaucrat' => array ( 'flood' ),

@@ -6050,8 +6050,8 @@

	'sysop' => array( 'rollbacker', 'ipblock-exempt', 'accountcreator', 'abusefilter', 'autoreviewer', 'confirmed', 'reviewer' ),
),
'+enwikibooks' => array(
  • 'bureaucrat' => array( 'bot', 'flood' ),
  • 'sysop' => array( 'rollbacker', 'patroller', 'ipblock-exempt', 'uploader' ),

+ 'sysop' => array('transwiki', 'uploader', 'ipblock-exempt',),
+ 'bureaucrat' => array('flood'),

),
'+enwikinews' => array(
    'bureaucrat' => array ( 'flood', 'sysop' ),

@@ -6988,10 +6988,11 @@

'wgContentNamespaces' => array(

'default' => array( 0 ),

+ 'arwiki' => array( 0, 104 ), // bug 20623
+ 'enwikibooks' => array( NS_MAIN, 102, 110),

'idwikibooks' => array( 0, 100, 102 ), // http://bugzilla.wikimedia.org/show_bug.cgi?id=7282
'mediawikiwiki' => array( 0, 100, 102 ), // Manuals && Extensions
'srwikibooks' => array( 0, 102, ), // #15282
  • 'arwiki' => array( 0, 104 ), // bug 20623 ),

    'wgRevisionCacheExpiry' => array(

@@ -7686,6 +7687,7 @@

'dewiki' => true, // Andrew 2009-02-24 Requested by DaB, with custom settings.
'dsbwiki' => true,
'elwiki' => true, // Andrew 2009-04-14 bug 18462

+ 'enwikibooks' => true,

'enwikinews' => true, // Andrew 2009-05-27 bug 18896
'eswiki' => true, // JeLuF, 2010-04-11 bug 23099
'eswikibooks' => true, // Roan 2009-12-24 bug 20923

@@ -8020,14 +8022,15 @@

'wmgUseReaderFeedback' => array(

	'default' => false,

+ 'en_labswikimedia' => true,
+ 'enwikibooks' => true,
+ 'enwikinews' => true,
+ 'huwiki' => true,
+ 'readerfeedback_labswikimedia' => true,
+ 'strategyappswiki' => true,

	'strategywiki' => true,
  • 'strategyappswiki' => true,
  • 'readerfeedback_labswikimedia' => true,

+ 'testwiki' => true,

  • 'huwiki' => true,
  • 'enwikinews' => true,
  • 'en_labswikimedia' => true,
  • 'testwiki' => true, ),

    'wmgFeedbackNamespaces' => array(

aaron.adrignola wrote:

Error display

This is the error seen. There should be only a single drop-down menu for quality and there seems to be some misplaced interface text in the frame around the menu selector.

Attached:

aaron.adrignola wrote:

I forgot to mention that the comment field should not be shown as the configuration was to remove it.

aaron.adrignola wrote:

I'm sorry for yet another reply, but the user rights for the abuse filter need to be tweaked to match the request.

abusefilter-view should be for autoconfirmed/confirmed only and not for all users.

abusefilter-log should be for autoconfirmed/confirmed only and not for all users.

The logic behind this was to prevent casual vandals from gaming the system.

Thank you for your efforts.

darklama wrote:

The problem with FlaggedRevs seems to be that instead of:

$wgFlaggedRevTags = array(

'quality' => array(
  'levels' => 3,
  'quality' => 2,
  'pristine' => 3
)

);

this was used:

$wgFlaggedRevTags = array(

'levels'   => 3,
'quality'  => 2,
'pristine' => 3

);

and that seems to have messed everything else up

darklama wrote:

Apparently using quality as a tag name conflicts with the existing MediaWiki:Revreview-quality page used for another message internally by the FlaggedRev extension. 'value' can be used for the tag name instead, and MediaWiki:Revreview-value can be edited to say "Quality" to get the same intended effect.

$wgFlaggedRevTags = array(

'value' => array(
  'levels' => 3,
  'quality' => 2,
  'pristine' => 3
)

);

jeluf wrote:

Fixed.

kayau_lai wrote:

I am unfamiliar with such MediaWiki technical stuff but it seems that the thing still cannot show correctly after the fix. It looks like '<revreview-value>: <revreview-value-0> <revreview-value-1> <revreview-value-2> <revreview-value-3>' now.

aaron.adrignola wrote:

(In reply to comment #18)

I am unfamiliar with such MediaWiki technical stuff but it seems that the thing
still cannot show correctly after the fix. It looks like '<revreview-value>:
<revreview-value-0> <revreview-value-1> <revreview-value-2>
<revreview-value-3>' now.

We had to set the interface text values for those. They are now corrected.

Two notes: the comment field is still present for the flagged revisions ratings. $wgFlaggedRevComments = false; should correct this (this was noted in the original request, just in case people think I'm adding things).

Also, there are people still marked as patrollers/reviewers/rollbackers even though those groups were removed. They will not be able to be removed from those groups at this point by a bureaucrat, so we'd need developer assistance with that.

We appreciate everything you've done for us so far. We're almost there.

aaron.adrignola wrote:

I hate to be a pest. I can tell you that we'll be sure to split a request like this up in the future. However, I've noticed that the reader feedback extension was not enabled for the Cookbook and Wikijunior namespaces as requested.

I'll just summarize all the remaining changes:

$wgFeedbackNamespaces = array(NS_MAIN, 102, 110);
$wgFlaggedRevComments = false;
(removal of members of former patrollers/reviewers/rollbackers groups

Were the custom settings applied for reader feedback?

$wgFeedbackAge = 180 * 24 * 3600;
$wgFeedbackSizeThreshhold = 5;

Thank you so much.

jeluf wrote:

Please have a look at http://noc.wikimedia.org/conf/highlight.php?file=flaggedrevs.php

The settings that you're asking for are already there and have been rolled out at August 16, 04:50 UTC

aaron.adrignola wrote:

Darklama above pointed out to me where the problem is.

In http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php there is

'wmgFeedbackNamespaces' => array(

'default' => array( NS_MAIN ),
'strategywiki' => array( 106 ),

),

which overrides the other configuration file. We'd need to change it to

'wmgFeedbackNamespaces' => array(

'default' => array( NS_MAIN ),
'enwikibooks' => array( NS_MAIN, 102, 110 ),
'strategywiki' => array( 106 ),

),

For flaggedrevs.php, it's been pointed out to me that I had a typo in the request. It should be $wgFlaggedRevsComments (there was an "s" missing).

jeluf wrote:

Done.

Index: InitialiseSettings.php

  • InitialiseSettings.php (revision 1030)

+++ InitialiseSettings.php (working copy)
@@ -8042,6 +8042,7 @@

'wmgFeedbackNamespaces' => array(

	'default' => array( NS_MAIN ),

+ 'enwikibooks' => array( NS_MAIN, 102, 110 ),

	'strategywiki' => array( 106 ),

),
'wmgFeedbackTags' => array(

g33kdyoo wrote:

$wgFlaggedRevComments has still not seen set to false, and it has been requested. Reopening.

jeluf wrote:

I've set wgFlaggedRevsComments (with the extra 's' from comment 22) to false.